From c73e0540a8143aeb6e9f7589034e887da276e6fd Mon Sep 17 00:00:00 2001
From: Kanika Murarka <murarkakanika@gmail.com>
Date: Sep 14 2016 19:53:47 +0000
Subject: [PATCH 638/1001] Fixed plus plus widget in contact profile


---

diff --git a/hubs/app.py b/hubs/app.py
index 3d241f5..3862a24 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -10,7 +10,7 @@ import flask.json
 import munch
 
 from flask.ext.oidc import OpenIDConnect
-from requests import request
+import requests
 
 import hubs.models
 import hubs.widgets
@@ -737,17 +737,14 @@ def hub_leave(hub):
 @app.route('/plus_plus/<user>/status', methods=['GET'])
 def plus_plus_status(user):
     receiver = hubs.models.User.by_username(session, user)
-
     if not receiver:
         return 'User does not exist', 403
-
     pp_url = app.config['PLUS_PLUS_URL'] + str(receiver.username)
     req = None
     try:
-        req = request('GET', pp_url)
+        req = requests.get(pp_url)
     except:
         flask.abort(500)
-
     if req.status_code == 200:
         return flask.jsonify(req.json())
     else:
diff --git a/hubs/widgets/contact.py b/hubs/widgets/contact.py
index b1f4df8..8ebce6f 100644
--- a/hubs/widgets/contact.py
+++ b/hubs/widgets/contact.py
@@ -1,6 +1,6 @@
 from hubs.widgets.chrome import panel
 from hubs.widgets import templating
-
+import flask
 import hubs.models
 import fedmsg.config
 import fedmsg.meta
@@ -20,12 +20,14 @@ def data(session, widget, **kwargs):
         usergroup = True
         user = hubs.models.User.by_username(session, hub.name)
         email = user.username + '@fedoraproject.org'
+        karma_url = flask.url_for('plus_plus_status', user=user.username)
         fas_info = {
                     'usergroup': usergroup,
                     'location': 'United States',
                     'timezone': 'UTC',
                     'email': email,
                     'ircnick': user.username,
+                    'karma_url': karma_url,
                     'account_age': 'Oct 2010',
                    }
     else:
